.main-section {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9;
  padding: 16px 0;
  background-image: url(../img/header.png);
  background-size: cover;
}

.header-title {
  display: none;
}

.page-nav {
  display: none;
}

.menu-btn {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.06);
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left: auto;
}

.menu-svg {
  fill: none;
  stroke: #343434;
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 46px;
}

.page-nav-link {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  text-transform: uppercase;
  color: #343434;
  border-bottom: 2px solid transparent;
  padding: 8px 12px;
  transition: border-color 0.3s ease;
}

.page-nav-link:hover {
  border-color: #343434;
}

@media screen and (min-width: 1436px) {
  .main-section {
    padding: 25px 0;
  }

  .header-container {
    position: relative;
  }

  .header-title {
    display: block;
    width: 58px;
    position: absolute;
    left: 200px;
    top: 50%;
    transform: translateY(-50%);
  }

  .page-nav {
    display: block;
  }

  .menu-btn {
    display: none;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 20px;
  padding-top: 100px;
  padding-bottom: 50px;
  padding-left: 20px;
  backdrop-filter: blur(50px);
  background: linear-gradient(
    360deg,
    rgba(253, 141, 99, 0.6) 0%,
    rgba(255, 255, 255, 0.6) 100%
  );
  z-index: 8;

  transform: translateY(-100%);
  transition: transform 1s ease;
}

.menu-nav-list {
  flex-direction: column;
}

.modal-logo {
  width: 58px;
  margin: 0 auto;
  margin-bottom: 44px;
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 10;
  bottom: 20px;
  border: 1px solid #343434;
  border-radius: 20px;
  padding: 20px;
  left: 50%;
  transform: translateX(-50%);
  box-shadow: 0 14px 42px 0 rgba(8, 15, 52, 0.06);
  background: #fff;
  transition: transform 0.4s ease;
}

.popup-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 188%;
  color: #343434;
  margin-bottom: 37px;
}

.popup-btn {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 113%;
  color: #343434;

  border: 1px solid #343434;
  border-radius: 56px;
  padding: 18px 26px;
  box-shadow: 0 4px 8px 0 rgba(74, 58, 255, 0.08);
  background: #fff;
  transition: color 0.2s ease, background-color 0.2s ease;
}

.popup-btn:hover {
  color: #fff;
  background: #343434;
}

.popup-wrap {
  display: flex;
  justify-content: center;
  gap: 20px;
}

@media screen and (min-width: 1436px) {
  .page-popup {
    padding: 52px 138px;
  }

  .popup-text {
    font-size: 18px;
    margin: 0;
  }

  .popup-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 100px;
  }

  .popup-wrap {
    flex-shrink: 0;
  }
}

/* hero  */

.dashboard {
  padding-top: 120px;
  position: relative;
  overflow: hidden;
}

.page-hero-title {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 42px;
  line-height: 119%;
  letter-spacing: -0.04em;
  color: #343434;
  margin-bottom: 42px;
}

.home-image {
  margin: 50px auto;
}

.hero-text-wrap {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

@media screen and (min-width: 1436px) {
  .dashboard {
    padding-top: 160px;
  }

  .page-hero-title {
    font-size: 78px;
    margin-bottom: 42px;
  }

  .hero-text-wrap {
    display: flex;
    flex-direction: row;

    .text {
      width: calc((100% - 40px / 2));
    }
  }
}

/* design */

.design-list {
  display: flex;
  flex-direction: column;
  gap: 22px;
}

.design-img {
  margin: 0 auto;
  margin-bottom: 40px;
}

.button-img {
  margin: 0 auto;
}

@media screen and (min-width: 1436px) {
  .design-list {
    align-items: flex-end;
    gap: 40px;

    li {
      display: flex;
      align-items: center;
      gap: 40px;
      flex-direction: row-reverse;
    }
  }
}

/* work-list */

.work-list {
  display: flex;
  flex-direction: column;
  gap: 22px;
  margin-bottom: 22px;
}

.work-item {
  h5 {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 28px;
    line-height: 93%;
    color: #343434;
    margin-top: 40px;
    margin-bottom: 12px;
  }

  p {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 162%;
    color: #343434;
    margin-bottom: 22px;
  }
}

@media screen and (min-width: 768px) {
  .work-list {
    flex-direction: row;
    justify-content: center;
    flex-wrap: wrap;
  }
  .work-item {
    width: 100%;

    img {
      width: 100%;
    }

    .arrow {
      width: 50%;
    }
  }

  .work-item2 {
    width: calc((100% - 22px) / 2);
  }
}

@media screen and (min-width: 1436px) {
  .work-list {
    gap: 50px;
    margin-bottom: 50px;
  }
  .work-item {
    width: calc((100% - 50px) / 2);
  }

  .work-item2 {
    width: calc((100% - 100px) / 3);
  }
}

/* philosophy */

#philosophy {
  background-image: url(../img/gradient-2.png);
  background-repeat: no-repeat;
  background-position: center;
}

.philosophy-list {
  display: flex;
  flex-direction: column;
  gap: 28px;
}

.philosophy-item {
  padding-bottom: 22px;
  border-bottom: 1px solid #343434;

  p {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 28px;
    line-height: 129%;
    color: #343434;
    margin-top: 22px;
    margin-bottom: 12px;
  }

  span {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 162%;
    color: #343434;
  }
}

@media screen and (min-width: 768px) {
  .philosophy-list {
    flex-direction: row;
    flex-wrap: wrap;
  }

  .philosophy-item {
    width: calc((100% - 28px) / 2);
  }
}

@media screen and (min-width: 1436px) {
  #philosophy {
    padding-bottom: 330px;
  }

  .philosophy-list {
    flex-direction: row;
    flex-wrap: wrap;
    gap: 100px 75px;
    align-items: flex-start;
  }

  .philosophy-item {
    width: calc((100% - 150px) / 3);
  }

  .philosophy-item2 {
    transform: translateY(150px);
  }

  .philosophy-item3 {
    transform: translateY(300px);
  }
}

/* services */

#services {
  padding-top: 120px;
  background: url(../img/gradient-2.png),
    linear-gradient(360deg, #f1f1f1 0%, #fff 100%);
}

.services-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 162%;
  color: #343434;
  margin-bottom: 40px;
}

.services-list {
  p {
    font-family: var(--second-family);
    font-weight: 400;
    font-size: 32px;
    line-height: 256%;
    letter-spacing: -0.04em;
    color: #343434;
    text-align: center;
    margin-top: 60px;
    margin-bottom: 40px;
  }

  ul {
    display: flex;
    flex-direction: column;
    gap: 40px;
    align-items: center;
  }

  li {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 162%;
    text-align: center;
    color: #343434;
    padding-bottom: 12px;
    border-bottom: 1px solid #343434;
  }
}

@media screen and (min-width: 1436px) {
  #services {
    padding-top: 160px;
  }

  .services-wrapper {
    display: flex;
    align-items: center;
    margin-bottom: 100px;
  }

  .services-list {
    display: flex;
    align-items: center;
    gap: 268px;

    p {
      font-size: 58px;
    }

    ul {
      gap: 40px;
      align-items: flex-start;
    }
  }
}

/* faq */

.faq-item {
  padding-bottom: 22px;
  border-bottom: 1px solid #343434;
}

.faq-photo-desctop {
  display: none;
}

.faq-btn {
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 32px;
  height: 32px;
  background-image: url(../img/plus.png);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  transition: transform 0.4s ease, background-image 0.3s ease;
}

.faq-wrap {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 22px;
  margin-top: 12px;
}

.faq-title {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 28px;
  line-height: 93%;
  color: #343434;
}

.faq-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 162%;
  color: #343434;
  margin-top: 22px;
}

@media screen and (min-width: 768px) {
  .faq-photo-desctop {
    display: block;
  }

  .faq-photo-mobile {
    display: none;
  }
}

@media screen and (min-width: 1436px) {
  .faq-item {
  }
}

/* strategy-list */

.strategy-list {
  p {
    font-family: var(--second-family);
    font-weight: 400;
    font-size: 32px;
    line-height: 256%;
    letter-spacing: -0.04em;
    text-align: center;
    color: #343434;
    margin-bottom: 40px;
  }

  ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
    margin-bottom: 40px;
  }

  li {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 18px;
    line-height: 144%;
    text-align: center;
    color: #343434;
    border-left: 1px solid #343434;
    border-right: 1px solid #343434;
    padding: 22px;
    background: rgba(255, 255, 255, 0.35);
  }
}

.strategy-item {
  width: 100%;
}

@media screen and (min-width: 768px) {
  .strategy-item {
    width: calc((100% - 30px) / 2);
  }
}

@media screen and (min-width: 1436px) {
  .strategy-list {
    display: flex;
    align-items: center;
    gap: 60px;

    ul {
      flex-direction: row;
      flex-wrap: wrap;
    }
  }
  .strategy-item {
    width: calc((100% - 60px) / 3);
  }
}

/* website */

#website {
  background-image: url(../img/gradient.png);
  background-size: cover;
}
.website-wrapper {
  display: flex;
  flex-direction: column;
  gap: 30px 40px;
}

.website-item {
  width: 100%;
}

@media screen and (min-width: 768px) {
  .website-wrapper {
    flex-wrap: wrap;
    flex-direction: row;
  }

  .website-item {
    width: calc((100% - 40px) / 2);
  }
}

@media screen and (min-width: 1436px) {
  .website-list {
    display: block;
    margin-bottom: 60px;

    ul {
      flex-wrap: wrap;
      gap: 40px 126px;
      height: 290px;
      width: 746px;
      align-items: center;
      margin: 0 auto;
    }

    li {
      width: calc((100% - 126px) / 2);
    }
  }
}

/* advantages */

#advantages {
  padding-top: 80px;
}

.advantages-list {
  display: flex;
  flex-direction: column;
}

@media screen and (min-width: 1436px) {
  #advantages {
    padding-top: 160px;
  }

  .advantages-container {
    padding-left: 196px;
  }

  .advantages-list {
    flex-direction: row;
    flex-wrap: wrap;
  }
}

/* contact */

#contact {
  padding-top: 80px;
  background-image: url(../img/gradient-2.png);
  background-position: center;
}

.contact-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 163%;
  color: #343434;
  margin-bottom: 14px;
}

.contact-mail {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 163%;
  color: #343434;
  display: block;
  margin-bottom: 40px;
}

.contact-mail:hover,
.contact-mail:focus {
  text-decoration: underline;
}

.contact-img {
  width: 100%;
}

.form-title {
  font-family: var(--second-family);
  font-weight: 400;
  font-size: 78px;
  line-height: 72%;
  letter-spacing: -0.04em;
  color: #343434;
  margin: 100px 0;
}

#consultation-form {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 40px;

  input {
    border: none;
    border-bottom: 1px solid #343434;
    padding: 0px 0px 22px 0px;
    width: 100%;
    background: none;
    resize: none;
    outline: none;
    width: 100%;

    font-family: var(--font-family);
    font-weight: 400;
    font-size: 18px;
    line-height: 144%;
    color: #343434;
    transition: background-color 0.3s ease;
  }

  input::placeholder {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 18px;
    line-height: 144%;
    color: #343434;
  }

  textarea {
    border: 1px solid #343434;
    padding: 22px;
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 18px;
    line-height: 144%;
    background: none;
    color: #343434;
    resize: none;
    height: 188px;
    resize: none;
    outline: none;
  }

  textarea:placeholder {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 18px;
    line-height: 144%;
    color: #343434;
  }

  button {
    width: 200px;
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 16px;
    line-height: 90%;
    letter-spacing: 0.22em;
    text-transform: uppercase;
    text-align: center;
    color: #fff;
    padding: 28px 58px;
    border-radius: 42px;
    background: #343434;
  }

  button:hover,
  button:focus {
    background: #1f1f1f;
  }
}

.modal-form {
  position: fixed;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  padding: 12px 24px;
  border-radius: 6px;
  font-size: 16px;
  z-index: 1000;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.modal-form.show {
  opacity: 1;
}

@media screen and (min-width: 1436px) {
  #contact {
    background-position: left -500px center;
  }
  .form-container {
    display: flex;
    align-items: center;
    gap: 208px;
    padding-top: 100px;
  }

  #consultation-form {
    width: 706px;
  }

  .form-title {
    font-size: 78px;
    margin: 0;
    flex-shrink: 0;
  }
}

/* footer */

.footer {
  padding: 103px 0;
  background-image: url(../img/header.png);
  background-position: center;
  background-size: cover;
}

.footer-mail {
  padding: 12px;
  border-bottom: 1px solid #343434;
  border-top: 1px solid #343434;
  margin-bottom: 14px;

  p {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 14px;
    text-align: center;
    color: #343434;
    margin-bottom: 12px;
  }

  div {
    display: flex;
    justify-content: center;
    gap: 22px;
  }

  a {
    display: block;
    width: 29px;
    opacity: 0.8;
    transition: opacity 0.3s ease, transform 0.3s ease;
  }

  a:hover {
    opacity: 1;
  }
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 500;
  text-align: center;
  font-size: 14px;
  color: #343434;
  margin-bottom: 60px;
}

.footer-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 22px;

  font-family: var(--font-family);
  font-weight: 700;
  font-size: 16px;
  text-transform: uppercase;
  color: #343434;

  a:hover {
    text-decoration: underline;
  }
}

@media screen and (min-width: 1436px) {
  .footer {
    padding: 37px 0;
  }

  .footer-text {
    margin-bottom: 32px;
  }
}

/* loader */

#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(94, 95, 147, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.spinner {
  width: 60px;
  height: 60px;
  border: 6px solid #ccc;
  border-top-color: #f0618b;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

/* scroll */

#scrollTopBtn {
  position: fixed;
  bottom: 30px;
  right: 20px;
  width: 68px;
  height: 68px;
  border-radius: 50%;
  border: 1px solid #f0618b;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 7;
  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;
  transition: opacity 0.4s ease, transform 0.4s ease;
}

#scrollTopBtn.show {
  opacity: 0.5;
  transform: translateY(0);
  pointer-events: auto;
}

#scrollTopBtn:hover {
  opacity: 1;
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0);
}

.click {
  background-image: url(../img/minus.png);
  transform: rotate(180deg);
}

.popup-click {
  transform: translateY(130%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
